Skip to main content
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
accessSettings
Get access and security settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/accessSettings \
  --header 'Authorization: <api-key>'
{
  "downloadEnabled": true,
  "webEditorEnabledForLinguists": true,
  "showUserDataToLinguists": true,
  "emailNotifications": true,
  "strictWorkflowFinish": true,
  "useVendors": true,
  "linguistsMayEditLockedSegments": true,
  "usersMaySetAutoPropagation": true,
  "allowLoadingExternalContentInEditors": true,
  "allowLoadingIframes": true,
  "linguistsMayEditSource": true,
  "linguistsMayEditTagContent": true,
  "linguistsMayDownloadLqaReport": true,
  "usernamesDisplayedInLqaReport": true,
  "userMaySetInstantQA": true,
  "triggerWebhooks": true,
  "notifyJobOwnerStatusChanged": true,
  "notifyUserMentionOrComment": true,
  "notifyReference": true,
  "notifyJobOwnerStatusChangedTemplateUid": "<string>",
  "notifyUserMentionOrCommentTemplateUid": "<string>",
  "notifyReferenceGroups": "<string>",
  "notifyReferenceTemplateUid": "<string>",
  "vendors": {
    "canChangeSharedJobDueDateEnabled": true,
    "canChangeSharedJobDueDate": [
      {
        "uid": "<string>"
      }
    ],
    "jobVendorsMayUploadReferences": true
  },
  "allowedDomains": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Response

successful operation

downloadEnabled
boolean
webEditorEnabledForLinguists
boolean
showUserDataToLinguists
boolean
emailNotifications
boolean
strictWorkflowFinish
boolean
useVendors
boolean
linguistsMayEditLockedSegments
boolean
usersMaySetAutoPropagation
boolean
allowLoadingExternalContentInEditors
boolean
allowLoadingIframes
boolean
linguistsMayEditSource
boolean
linguistsMayEditTagContent
boolean
linguistsMayDownloadLqaReport
boolean
usernamesDisplayedInLqaReport
boolean
userMaySetInstantQA
boolean
triggerWebhooks
boolean
notifyJobOwnerStatusChanged
boolean
notifyUserMentionOrComment
boolean
notifyReference
boolean
notifyJobOwnerStatusChangedTemplateUid
string
notifyUserMentionOrCommentTemplateUid
string
notifyReferenceGroups
string
notifyReferenceTemplateUid
string
vendors
object
allowedDomains
string[]